API Documentation
Toggle TOC panel
<access-service>/api/v1/i18n/bundles

URL structure

1 https://access-service.xy-company.com/api/v1/i18n/bundles

Supported methods and overview

  • GET - used to retrieve a list of internationalization (i18n) bundles which are currently available on the Covata Platform.

Note: This method takes no parameters.

Detailed description

This API endpoint retrieves a list of i18n bundles which are currently available on the Covata Platform.

These are i18n bundles which either are built in or have been uploaded to the Covata Platform.

Supported roles

This API endpoint supports the following Covata user roles (as described in the Covata Platform Administrator's Guide):

The Covata Platform's resources available to one of these Covata users (above) is determined by the access token passed in the header of requests to this endpoint.

Required headers

The appropriate access token as the Bearer token:

  • Authorization: Bearer a1b2c3d4-e5f6-g7h8-i9j0-k1l2m3n4o5p6

Returns

A JSON-formatted response containing the following members:

  • items - .
    • localeCode - .
    • displayDescription - .
  • offset - .
  • count - .

    Example:

    {
    "items": [
    {
    "localeCode": "it_it",
    "displayDescription": "Italian (Italy)"
    },
    {
    "localeCode": "en_us",
    "displayDescription": "English (US)"
    },
    {
    "localeCode": "es_es",
    "displayDescription": "Spanish (Spain)"
    },
    {
    "localeCode": "da",
    "displayDescription": "Danish"
    },
    {
    "localeCode": "fr_fr",
    "displayDescription": "French (France)"
    },
    {
    "localeCode": "de_de",
    "displayDescription": "German (Germany)"
    }
    ],
    "offset": "0",
    "count": "6"
    }